# Karma

Karma is an open source multi-script typeface supporting both the Devanagari and the Latin script. The family was developed for use in body text on screen, and five fonts are available. The characters for both scripts feature a construction style that tends toward the monolinear. The Latin script component has serif letters. Both these, and the stroke terminals in the Devanagari letterforms are generally rounded in Karma’s design.

Karma’s characters are economic in width, and the Latin sports a tall x-height. Although the knotted terminals in the Devanagari letterforms are closed, the general feeling of the Devanagari character set is open and airy. See the design of the ख (kha), छ (cha) and ध (dha), for example.

Joana Correia designed Karma for the Indian Type Foundry, who first published the fonts in 2014.

## Code base

This working directory is forked from the common code base, [ITF Base Devanagari (for Google Fonts)](https://github.com/itfoundry/base-devanagari-gf).

## Dependencies

- [Adobe Font Development Kit for OpenType](http://www.adobe.com/devnet/opentype/afdko.html) (AFDKO), version 2.5 build 63209 (Sep 18 2014) or newer.
- A script [`UFOInstanceGenerator.py`](https://github.com/adobe-type-tools/python-scripts/blob/master/FDK%20Extras/UFOInstanceGenerator.py) (to be placed in AFDKO’s directory `FDK/Tools/osx`) and two [modules](https://github.com/adobe-type-tools/python-modules) (to be placed in Python’s `site-packages` directory) from Adobe.
