# Khand

Khand is a family of compact mono-linear fonts with very open counter forms. Developed for display typography, the family is primarily intended for headline usage. Its letterforms are dynamic, and everything is designed according to a modular system. All of its shapes bear a strong commonality to one another, but the typeface strikes a good balancing act and avoids too much repetitiveness. The lighter styles are suitable for short paragraphs of running text, while the heavier styles have been optimised for headlines or single word settings.

The base character height in the Khand fonts is ‘big on the body.’ Across a line of text, the consonantal forms take up the majority of vertical space. Vowel marks above and below have been shortened – keeping these to a minimum allows for lines of text to be set more closely together vertically. The reduction of interlinear space is paramount for successful headline typesetting, and Khand performs much better in display applications than similar fonts with more elongated vowel marks. Because of their reduced height, the typeface’s vowel mark forms have been simplified somewhat out of necessity, but this stylistic reduction is in-keeping with the modular feeling of the typeface’s overall design. Dot-shaped marks appear rounded in order to help maintain their differentiation from other marks.

The Khand family will include eight font styles. This broad range of weights makes combinations with a strong degree of contrast possible; the lightest and the heaviest styles may be mixed to create a powerful effect in your design. Khand’s Devanagari characters were designed by Sanchit Sawaria and Jyotish Sonowal. Its Latin is from Satya Rajpurohit. Khand was first published as an open source font family by the Indian Type Foundry in 2014.

## Code base

This working directory is forked from the common code base, [ITF Base Devanagari (for Google Fonts)](https://github.com/itfoundry/base-devanagari-gf).

## Dependencies

- [Adobe Font Development Kit for OpenType](http://www.adobe.com/devnet/opentype/afdko.html) (AFDKO), version 2.5 build 63209 (Sep 18 2014) or newer.
- A script [`UFOInstanceGenerator.py`](https://github.com/adobe-type-tools/python-scripts/blob/master/FDK%20Extras/UFOInstanceGenerator.py) (to be placed in AFDKO’s directory `FDK/Tools/osx`) and two [modules](https://github.com/adobe-type-tools/python-modules) (to be placed in Python’s `site-packages` directory) from Adobe.
