# Laila

The Indian Type Foundry first published Laila, an open source typeface family, in 2014. Laila is an informal sans serif design with brush terminals. It has a very contemporary, 21st century appearance. Text set in Laila appears friendly, or even cute! Laila looks especially good in headlines. It is a display typeface, but it may also be used to set shorter passages of text.

Laila’s Latin characters have a high x-height and open counter forms. In terms of the thickness of its strokes, everything in the Latin portion of the typeface is mostly monolinear.

The typeface’s Devanagari characters are even more fluid in their drawing. They appear lively and graceful. Laila’s Devanagari base character height falls in-between the Latin x-height and capitals/ascenders. The Devanagari characters have a lighter stroke thickness than the Latin glyphs; in text blocks, texts set in each script will have similar colour.

The Laila project today includes five styles, Light through Bold. The character sets of each font include 928 glyphs. This makes the writing of most Indian languages that use the Devanagari script easy and beautiful, thanks to the many unique conjuncts and ligatures.

Hitesh Malaviya designed the Devanagari portions of Laila, whereas the Latin glyphs come from Jonny Pinhorn.

## Code base

This working directory is forked from the common code base, [ITF Base Devanagari (for Google Fonts)](https://github.com/itfoundry/base-devanagari-gf).

## Dependencies

- [Adobe Font Development Kit for OpenType](http://www.adobe.com/devnet/opentype/afdko.html) (AFDKO), version 2.5 build 63209 (Sep 18 2014) or newer.
- A script [`UFOInstanceGenerator.py`](https://github.com/adobe-type-tools/python-scripts/blob/master/FDK%20Extras/UFOInstanceGenerator.py) (to be placed in AFDKO’s directory `FDK/Tools/osx`) and two [modules](https://github.com/adobe-type-tools/python-modules) (to be placed in Python’s `site-packages` directory) from Adobe.
