# Rozha One

Rozha One is a very high contrast open source font, which currently offers support for the Devanagari and Latin scripts. Created primarily for display use, the extreme difference between its letters’ thick and thin strokes make it an excellent choice for large headlines and poster-sized graphics. The Indian Type Foundry released Rozha One in 2014; its Devanagari character set was designed by Tim Donaldson and Jyotish Sonowal. Shiva Nallaperumal designed the Latin.

The font’s Latin characters are drawn in a fat face ‘modern’ or ‘Didone’ style, similar to letters that were commonly used in 19th century advertising posters in the West. Rozha One’s Latin characters barely differentiate between upper and lowercase letter sizes; the x-height of its lowercase letters is so high – and the size of its capital letters so small – that these virtually blend into one another in a line of text. Nevertheless, the Devanagari letters are drawn in such a way that they harmonise with the font’s Latin very well in settings where texts in multiple languages sit alongside one another. The headline of the Devanagari base characters is the same thickness as the Latin letters’ serifs. Certain Devanagari letter strokes and vowel marks bare visually similarity to the font’s Latin letters. However, Rozha One does not appear Latinized or un-Devanagari.

The font includes 1,095 glyphs, offering full support for the conjuncts and ligatures required by languages written with the Devanagari script. When used in on-screen design environments, Rozha One should be used in very large pixel sizes. However in print, the design may be used in a broader range of sizes, perhaps even as small as at 16 or 18 points.

## Code base

This working directory is forked from the common code base, [ITF Base Devanagari (for Google Fonts)](https://github.com/itfoundry/base-devanagari-gf).

## Dependencies

- [Adobe Font Development Kit for OpenType](http://www.adobe.com/devnet/opentype/afdko.html) (AFDKO), version 2.5 build 63209 (Sep 18 2014) or newer.
- A script [`UFOInstanceGenerator.py`](https://github.com/adobe-type-tools/python-scripts/blob/master/FDK%20Extras/UFOInstanceGenerator.py) (to be placed in AFDKO’s directory `FDK/Tools/osx`) and two [modules](https://github.com/adobe-type-tools/python-modules) (to be placed in Python’s `site-packages` directory) from Adobe.
