# Sarpanch

Display families with extensive character sets are rare for any script. With Indian typefaces, large character sets are often even less common. The Indian Type Foundry’s font families have been an exception, however. Sarpanch continues this trend. Sarpanch is an open source typeface supporting the Devanagari and Latin scripts. It was designed for use in large point sizes and pixel sizes. Sarpanch’s letterforms are made up of strokes with a high contrast. They are also drawn with wide proportions, based on a squared construction principle.

Six fonts make up the Sarpanch family, ranging in weight from Regular to Black. As weight increases along the family’s axis, vertical strokes become thicker, but the typeface’s horizontals retain the same thickness across each weight. While the rather wide Regular weight of the family is almost monolinear, the Black weight appears to have a very high degree of contrast.

The Regular, Medium and Semibold fonts are recommended for use in short headlines, while Bold, Heavy and Black are intended primarily for setting single words or pairs. At display sizes, Sarpanch works equally well on screen or in print. Each font contains 1035 glyphs and offers full support for the conjuncts and ligatures required by languages written in the Devanagari script.

The Medium–Black weights of the Sarpanch family were design by Manushi Parikh at ITF in 2014. Jyotish Sonowal designed the Regular weight. Sarpanch is an excellent choice for use in advertising or for news tickers on television screens (breaking news, etc.) In Hindi, the word Sarpanch means ‘the head of a village’.

## Code base

This working directory is forked from the common code base, [ITF Base Devanagari (for Google Fonts)](https://github.com/itfoundry/base-devanagari-gf).

## Dependencies

- [Adobe Font Development Kit for OpenType](http://www.adobe.com/devnet/opentype/afdko.html) (AFDKO), version 2.5 build 63209 (Sep 18 2014) or newer.
- A script [`UFOInstanceGenerator.py`](https://github.com/adobe-type-tools/python-scripts/blob/master/FDK%20Extras/UFOInstanceGenerator.py) (to be placed in AFDKO’s directory `FDK/Tools/osx`) and two [modules](https://github.com/adobe-type-tools/python-modules) (to be placed in Python’s `site-packages` directory) from Adobe.
